
QGIS Application - Bug report #6185

Can't write pyramids to separate .ovr file if raster file is read-only

2012-08-12 09:46 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15499

Description

Make a jpeg file read-only.

Load the jpeg into QGIS.

Right-click the jpeg layer in the TOC

Choose Properties>Pyramids

Select a pyramid resolution and click the "build pyramids" button.

You will get an error message: "Write access denied>Adjust the file permissions and try again".

But the file permissions on the jpeg file should not matter, because the pyramids would be saved in a separate .ovr file!

I believe the same should apply regardless of the image format, as long as the option "Build pyramids internally if possible" is not

selected.

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#5 - 2019-03-10 04:19 PM - Alister Hood

- Resolution changed from end of life to worksforme

- Description updated

Seems to have been fixed at some point.
